Search for contacts

Search for a contact

You can search for a single contact in PolicyCenter with the following endpoint:

  • POST /common/v1/search/contacts

In the request body, you must include information identifying the person or company contact you want to retrieve. The following attributes are required in the request:

  • For a person, provide one the following:
    • firstName and lastName
    • taxId
  • For a company, provide one of the following:
    • companyName
    • phoneNumber

This example retrieves the user named John Smith:

Command

POST /common/v1/search/contacts

Request

{
    "data": {
        "attributes": {
            "lastName": "Smith",
            "firstName": "John"
        }
    }
}

This example retrieves the company named Wright Construction:

{
    "data": {
        "attributes": {
            "companyName": "Wright Construction"
        }
    }
}